MPI_Message_fromint(3)

NAME
MPI_Message_fromint - converts an integer handle to MPI_Message

SYNOPSIS
MPI_Message MPI_Message_fromint(int message)

INPUT PARAMETERS
message
    - message (integer)

THREAD AND INTERRUPT SAFETY

This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as malloc or other non-MPICH runtime routines that are themselves not interrupt-safe.